package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxInnovationOtherDto;
import cn.com.countrygarden.bi.main.model.wcx.WcxInnovationOther;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WcxInnovationOtherMapper {
    List<WcxInnovationOtherDto> selectPageData(WcxInnovationOtherDto param);

    Long selectPageCount(WcxInnovationOtherDto param);
    /**
     * 查找其他评论
     * @param innovationId
     * @param isDelete
     * @return
     */
    WcxInnovationOther findFirst(@Param("innoId") String innovationId, @Param("isDelete") int isDelete);

    /**
     * 查找其他评论
     * @param innoOtherId
     * @return
     */
    WcxInnovationOtherDto findFirstByPrimaryKey(@Param("innoOtherId") String innoOtherId);

    /**
     * 插入非正常状态评论
     * @param reviewOther
     * @return
     */
    void insertFirst(WcxInnovationOther reviewOther);

    /**
     * 新添举报人
     * @param param
     * @return
     */
    int updateReportNumber(WcxInnovationOther param);

    /**
     * 更新状态
     * @param innoOtherId
     * @param isDelete
     * @param status
     */
    void updateStatus(@Param("innoOtherId") String innoOtherId, @Param("isDelete") Integer isDelete, @Param("status") String status);

    /**
     * 更新审计字段
     * @param lastUpdateBy
     */
    int updateAudit(@Param("innoOtherId")String innoOtherId, @Param("lastUpdateBy")String lastUpdateBy, @Param("lastUpdateByName")String lastUpdateByName);
}
